fgl-5.4.2.4: Martin Erwig's Functional Graph Library

Safe Haskell | None

Data.Graph.Inductive.Query.MST

Contents

- Path in MST

Description

Minimum-Spanning-Tree Algorithms

Synopsis

- msTreeAt :: (Graph gr, Real b) => Node -> gr a b -> LRTree b
- msTree :: (Graph gr, Real b) => gr a b -> LRTree b
- msPath :: Real b => LRTree b -> Node -> Node -> Path

# Documentation

msTreeAt :: (Graph gr, Real b) => Node -> gr a b -> LRTree bSource

msTree :: (Graph gr, Real b) => gr a b -> LRTree bSource

# Path in MST

msPath :: Real b => LRTree b -> Node -> Node -> Path Source